use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct ILineBreak {}

impl ILineBreak {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &organic::types::LineBreak<'parse>,
    ) -> Result<ILineBreak, CustomError> {
        Ok(ILineBreak {})
    }
}
